Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
MPlayer e Webcam como instalar com o Kernel recompilado?
12/10/2008, 10:47
Resposta: #1
MPlayer e Webcam como instalar com o Kernel recompilado?
Olá pessoal!

A minha duvida é essa eu recompilei meu kernel e agora não consigo instalar o MPlayer nem a Webcam segui algumas dicas usando o apt-build do Wiki mas não consegui, porque ele não encontra o pacote fonte (source package).
Essa coisa de compilar é novidade para mim, então estou com dificuldades alguém poderia me ajudar?

Agradeço desde já,
Gerson

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
12/10/2008, 23:11
Resposta: #2
 
O que vc tem habilitado de suporte a video no kernel?
# grep -i video /boot/config-`uname -r`

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
13/10/2008, 08:13
Resposta: #3
 
dmatrix Escreveu:O que vc tem habilitado de suporte a video no kernel?
# grep -i video /boot/config-`uname -r`

Eu não desabilitei nada na recompilação do kernel referente ao video ainda na verdade estou experimentando e compilando por partes para não confundir o resultado.

Quanto ao suporte a video no kernel que vc pediu esta no arquivo em anexo.


Arquivo anexado.


Obrigado pela ajuda novamente,

Gerson

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/10/2008, 20:00
Resposta: #4
 
O problema é a versão do gcc que usei para compilar o kernel esta em conflito com as versões do modulo para webcam e do mplayer.

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
14/10/2008, 21:57
Resposta: #5
 
ah bom então instale a versão que o make destes programas requisitam e depois altere o link do gcc em /usr/bin/

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
15/10/2008, 09:51
Resposta: #6
 
Funcionou com o MPlayer, não pensei que fosse simples assim, entretanto parece-me que no caso da webcam é diferente, pois ele depende da instalação do linux-modules que no caso acho estranho, pois ja foi instalada quando compilei o kernel.
Eu deixei instalar numa tentativa e deu problema não consegui mais carregar o ambiente grafico agora estou receoso para instalar novamente e apresentar o mesmo problema, pois ja nem sei mais o que fiz para recuperar.

Agradeço por me ajudar novamente,
Gerson

PS.: só para comentar depois que compilei o kernel instalei tudo que tenho direito e tudo funciona perfeitamente não consegui uma estabilidade e leveza assim em nenhum outro sistema linux ou qualquer outro está realmente fantástico e ainda falta cortar suportes desnecessários de som e video do kernel.

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
15/10/2008, 21:21
Resposta: #7
 
não estou entendendo, sua webcam utiliza o modulo uvc? então é só construir o modulo pelo tarball, vc está utilizando assistente e o source para construir o modulo?

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
15/10/2008, 22:20
Resposta: #8
 
Eu tenho instalado a camera no Debian da seguinte forma faço uma procura no aptitude pelo gspca e no resultado me aparece gspca-modules-2.6.26-1-686 entre outras mas essa é a que se encaixa entretanto nas dependencias para instalação aparece também linux-modules-2.6.26-686.
Não sei o que significa o modulo uvc que esta dizendo.
A minha camera é compativel com o driver spca5xx. Sumplus.

Obrigado novamente,
Gerson

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
16/10/2008, 00:33
Resposta: #9
 
tente instalar desta forma:
# aptitude install gspca-source module-assistant debhelper
# m-a update
# m-a prepare
# m-a a-i gspca-source
# depmod -a

talvez dê algum erro se não corrigiu o link do source do kernel.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
16/10/2008, 07:53
Resposta: #10
 
Legal funcionou não conhecia essa forma de instalar a webcam valeu a dica.
Bom agora esta tudo funcionando então não vou mais atormenta-lo com perguntas.

Obrigado por atender as minhas duvidas,
Deus te abençoe,
Gerson

Linux user # 472861
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS